export declare class CaretBrowsingMode {
    readonly mainContainer?: HTMLElement | undefined;
    readonly viewerContainer?: HTMLElement | undefined;
    readonly toolbarContainer?: HTMLElement | undefined;
    private toolBarHeight;
    constructor(mainContainer?: HTMLElement | undefined, viewerContainer?: HTMLElement | undefined, toolbarContainer?: HTMLElement | undefined);
    private isOnSameLine;
    private isUnderOver;
    private isVisible;
    private getCaretPosition;
    static caretPositionFromPoint(x: number, y: number): CaretPosition | null;
    private setCaretPositionHelper;
    private setCaretPosition;
    private getNodeOnNextPage;
    moveCaret(isUp: boolean, select: boolean): void;
}
