import { Initializer, InitializerOptions } from '../../viewer';
export declare class SidebarInitializer extends Initializer {
    get sidebarManager(): import('./sidebar-manager').SidebarManager | undefined;
    prepare(options: InitializerOptions): Promise<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>>;
    execute(options: InitializerOptions): void;
}
