import { Initializer, InitializerOptions } from '../../viewer';
export declare class StorageInitializer extends Initializer {
    get order(): number;
    get storage(): import('./storage-service').StorageService<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>> | undefined;
    prepare(options: InitializerOptions): Promise<{
        [x: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>;
    execute(): void;
}
