import { Initializer } from '../initializers';
import { Manager } from './';
export declare class InitializerManager extends Manager {
    private _initialized;
    private initializers;
    get initialized(): boolean;
    get initializersOrdered(): Initializer[];
    addInitializer(initializer: Initializer): void;
    removeInitializer(initializer: Initializer): void;
    init(): void;
    reset(): void;
    private setupInitializer;
    private applyInitialView;
    private prepareInitializers;
    private executeInitializers;
}
